/********************************************
 * Programy asemblerowe.h   4-02-2016   		*
 ********************************************/

//----------------- parityBit -----------------
//INPUT: 	r0 = bajt (8 bitow)
//OUTPUT: r0 = 0 gdy parzysta ilosc jedynek
//        r0 = 1 gdy nieparzysta ilosc jedynek
// bit parzystosci w transmisji szeregowej
bool parityBit(unsigned int);

//---------------- countDigits ----------------
//INPUT: 	r0 = liczba 'int'
//OUTPUT: r0 = ilosc cyfr 'unsigned int'
// funkcja zwraca ilosc cyfr dziesietnych
// w liczbie ze znakiem
unsigned int countDigits(int);

//----------------- Armstrong -----------------
//INPUT: 	r0 = liczba 'int'
//OUTPUT: r0 = 1,  gdy Armstrong
// 		    r0 = 0,  not Armstrong
// funkcja czy 'Armstrong Number'
//  371 = 3^3 + 7^3 + 1^3
// 1634 = 1^4 + 6^4 + 3^4 + 4^4
int Armstrong(int);

//---------------- maxLocation ----------------
//INPUT: 	r0 = adres poczatku tablicy
//        r1 = dlugosc tablicy
//OUTPUT: r0 = numer maksymalnego elementu 
//             tablicy (liczac od zera)
int maxLocation(unsigned int * array, unsigned int size);







